<? 
ini_set('display_errors', 'off');
error_reporting(0);
include_once("../../../cisweb_manual/valida_sessao.php");
protegePagina(); 
include_once("../../../cisweb_manual/CisManual/adm_head.php");
?>

<span class="dir">Editar Página</span>
</div>


<div id="conteudo">

<?php
include("../../../cisweb_manual/CisManual/config.php");
include("../../../cisweb_manual/CisManual/utf8.php");

if (isset($_POST['submit'])) {

$id = $_POST['id'];

$template = $_POST['template'];
$nome = $_POST['nome'];
$titulo = $_POST['titulo'];
$arquivo = $_POST['arquivo'];
$texto = $_POST['texto'];
$situacao = $_POST['situacao'];
$autor = $_SESSION['usuarioNome'];

   
   $update = "UPDATE paginas SET P_T_ID = '$template', P_NOME = '$nome', P_TITULO = '$titulo' , P_ARQUIVO = '$arquivo' , 
   P_TEXTO = '$texto', P_SITUACAO = '$situacao', P_ALT_AUTOR = '$autor' WHERE P_ID = $id";
   mysql_query($update, $conn);
   mysql_close($conn);
 
   $local = "alterar_pagina.php?id=".$id."&alterado=1";
   echo "<script>location.href='$local';</script>";
   
?>

<?php
} else {
	
if(isset($_GET['alterado'])){
	echo "<p class=\"sucesso\">Alterado Com Sucesso!</p>";
	echo '<p align="center">Publicar essa página: <br />
		  <input type="image" src="../../../cisweb_manual/img/publicar.png" class="admin" name="acao" 
		  onclick="location.href = \'publicar_pagina.php?id='.$_GET['id'].'\'"></p>';
}

$id = $_GET['id'];

include("utf8.php");

$qry = "SELECT *, date_format(P_ALT_DATA, '%d/%m/%Y - %H:%i') as data FROM paginas WHERE P_ID = $id";
$consulta = mysql_query($qry, $conn);
$registro = mysql_fetch_array($consulta);

$sql = "SELECT * FROM templates ORDER BY T_NOME";
$consulta_temp = mysql_query($sql, $conn);
?>

<form name="frmpagina" method="POST" action="<?=$_SERVER['PHP_SELF']?>" onSubmit="return valida_pagina(this);">
  <table align="center" cellspacing="0" cellpadding="0">
  		  <tr>
          	<td>
            Última alteração nesta página foi feita por <strong><?=$registro['P_ALT_AUTOR']?></strong> em <strong><?=$registro['data']?></strong>.
            </td>
          </tr>
    	  <tr>
            <td>
			Código(ID):
			<?=$registro['P_ID']?>            
            </td>
          </tr>
          <tr>
            <td>
            <img src="../../../cisweb_manual/img/importante.gif" />
            Menu <br />
            <select name="template" id="template">
            <option value=""></option>
            <?PHP
			while($sel_temp = mysql_fetch_array($consulta_temp)){
            	echo "<option value=\"". $sel_temp['T_ID'] ."\" ";
				if ($sel_temp['T_ID'] == $registro['P_T_ID'] ) { echo "SELECTED"; }
				echo " >". $sel_temp['T_NOME'] ."</option>";
			}
            ?>
            </select>
            </td>
          </tr>
          <tr>            
            <td>
            <img src="../../../cisweb_manual/img/importante.gif" />
            Título <br />
            <input type="text" name="nome" size="40" value="<?=$registro['P_NOME']?>" maxlength="100">
            </td>
          </tr>
          <tr>            
            <td>            
            Sub-Titulo <br />
            <input type="text" name="titulo" size="40" value="<?=$registro['P_TITULO']?>" maxlength="50">
            </td>
          </tr>
          <tr>            
            <td>
            <img src="../../../cisweb_manual/img/importante.gif" />
            Código <br />
            <input type="text" <?php if($_SESSION['usuarioNivel']<='3'){?>readonly="readonly"<?php } ?> name="arquivo" size="40" value="<?=$registro['P_ARQUIVO']?>" maxlength="50">
            </td>
          </tr>
          <tr>
            <td>            
            Texto <br />
            <textarea cols="70" rows="10" name="texto" class="ckeditor"><?=$registro['P_TEXTO']?></textarea>
            </td>
          </tr>
          <tr>
          	<td>
            <img src="../../../cisweb_manual/img/importante.gif" />
            Situação <br />
            <select name="situacao">
            <option value="1" <? if ($registro['P_SITUACAO']==1) { echo "SELECTED"; }	?>>Ativo</option>
            <option value="0" <? if ($registro['P_SITUACAO']==0) { echo "SELECTED"; }	?>>Inativo</option>
            </select>   
            </td>           			
          </tr>
          <tr>
            <td colspan="2">
            <input type="hidden" value="<?=$id?>" name="id">
              <p align="center">
              <input type="button" value="Voltar" class="botao" name="voltar" onclick="location.href='adm_pagina.php'">
              <input type="submit" value="Salvar" class="botao" name="submit"></p></td>
          </tr>
        </table>
      </td>
    </tr>
  </table>
</form>
<?php
}
mysql_close($conn);
?>
</div>
<?include_once("../../../cisweb_manual/CisManual/adm_foot.php"); ?>